package cn.iocoder.yudao.module.crm.api.crmbusiness;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.crm.controller.admin.crmbusiness.vo.CrmBusinessRespVO;
import cn.iocoder.yudao.module.crm.service.crmbusiness.CrmBusinessService;
import cn.iocoder.yudao.module.hrm.api.crmbusiness.BusinessApi;
import cn.iocoder.yudao.module.hrm.api.crmbusiness.dto.CrmBusinessDTO;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

/**
 * Flowable CRM Api 实现类
 */
@RestController
@Validated
public class BusinessApiImpl implements BusinessApi {

    @Resource
    private CrmBusinessService businessService;

    @Override
    public CommonResult<CrmBusinessDTO> getBusiness(Long id) {
        CrmBusinessRespVO businessDO = businessService.getBusiness(id);
        return success(BeanUtils.toBean(businessDO, CrmBusinessDTO.class));
    }
}
